Get summary metrics just like the totals endpoint but broken out by month or day. Use YYYY-MM date format in the time-frame filter, when, to get monthly summary, or use YYYY-MM-DD date format for daily summary data. When requesting a daily timeseries only up to 90 days may be requested at a time. Months or days with 0 postings will be included in the response.
POST /timeseries
POST /timeseriesQuery Parameters
| Name | Type | Description |
|---|---|---|
area_version | enum | Specify US Area taxonomy version to use. This parameter is optional. Default: |
soc_version | enum | Specify SOC taxonomy version to use. This parameter is optional. Default: Must be one of: |
onet_version | enum | Specify ONET taxonomy version to use. This parameter is optional. Default: Must be one of: |
title_version | enum | Specify Job Title taxonomy version to use. This parameter is optional. Default: Must be one of: |
company_version | enum | Specify company taxonomy version to use. This parameter is optional. Default: Must be one of: |
naics_version | enum | Specify NAICS taxonomy version to use. This parameter is optional. Default: Must be one of: |
new_taxonomy_versions | enum | Use new taxonomy versions. This parameter is optional. Must be one of: |
area_us_version | enum | Specify US Area taxonomy version to use. This parameter is optional. Default: Must be one of: |
soc_lightcast_version | enum | Specify SOC Lightcast taxonomy version to use. This parameter is optional. Default: Must be one of: |
onet_standard_version | enum | Specify ONET Standard taxonomy version to use. This parameter is optional. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: Must be one of: |
Request Body
{
"filter": {
"when": {
"start": "2022-01",
"end": "2022-12"
},
"city_name": [
"Irvine, CA"
],
"company_name": [
"Activision Blizzard"
]
},
"metrics": [
"duplicate_postings",
"unique_postings"
]
}Code Examples
curl --request POST \
--url https://api.lightcast.io/jpa/timeseries \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "when": { "start": "2022-01", "end": "2022-12" }, "city_name": [ "Irvine, CA" ], "company_name": [ "Activision Blizzard" ] }, "metrics": [ "duplicate_postings", "unique_postings" ] }'Response Examples
{
"data": {
"timeseries": {
"duplicate_postings": [
1189,
1032,
889,
741,
1160,
1696,
2082,
2409,
1991,
1292,
995,
930
],
"month": [
"2020-01",
"2020-02",
"2020-03",
"2020-04",
"2020-05",
"2020-06",
"2020-07",
"2020-08",
"2020-09",
"2020-10",
"2020-11",
"2020-12"
],
"unique_postings": [
300,
207,
171,
127,
167,
186,
225,
279,
259,
202,
162,
179
]
},
"totals": {
"duplicate_postings": 4911,
"unique_postings": 965
}
}
}//Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}//Your request wasn't unauthorized.
{
"errors": [
{
"status": 401,
"title": "Unauthorized Request",
"detail": "You are not authorized to access this resource."
}
]
}//Your request wasn't valid (bad keyword expression).
{
"errors": [
{
"status": 422,
"title": "Invalid request content",
"detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t ^"
}
]
}
